[![AtlasKit component registry](https://img.shields.io/badge/AtlasKit-components-FF5230.svg)](http://aui-cdn.atlassian.com/atlaskit/registry/)
[![Commitizen friendly](https://img.shields.io/badge/commitizen-friendly-brightgreen.svg)](http://Commitizen.github.io/cz-cli/)
[![semantic-release](https://img.shields.io/badge/GitHub-semantic_release-ffab00.svg)](https://github.com/semantic-release/semantic-release)
[![Report an issue](https://img.shields.io/badge/Report-an_issue-6554C0.svg)](https://ecosystem.atlassian.net/browse/AK)
[![Ask in our forum](https://img.shields.io/badge/Ask-in_our_forum-6554C0.svg)](https://answers.atlassian.com/questions/ask?title=AtlasKit%3A%20&topics=atlaskit,ak-lozenge,ak-lozenge@5.0.1)

# Lozenge

Use lozenges to highlight an item's status for quick recognition. Lozenges can be emphasised and can use color to help convey meanings that users can learn and recognize across our products. Use subtle lozenges by default and in instances where they may dominate the screen, such as in long tables.

![Example lozenge](https://bytebucket.org/atlassian/atlaskit/raw/bf0b2bb3100bd2fd64e9ccc4de022e3a10d11e57/packages/ak-lozenge/docs/standard_lozenge.png)

![Example lozenge](https://bytebucket.org/atlassian/atlaskit/raw/bf0b2bb3100bd2fd64e9ccc4de022e3a10d11e57/packages/ak-lozenge/docs/bold_lozenge.png)


## Try it out

Interact with a [live demo of the ak-lozenge component](https://aui-cdn.atlassian.com/atlaskit/stories/ak-lozenge/5.0.1/).

## Installation

```sh
npm install ak-lozenge
```

## Using the component

Import the component in your React app as follows:

```js
import Lozenge from 'ak-lozenge';
ReactDOM.render(<Lozenge />, container);
```

<a name="Lozenge"></a>

## Lozenge
**Kind**: global class  
* Properties

    *  [lozenge.isBold](#Lozenge+isBold) : <code>boolean</code>
    *  [lozenge.appearance](#Lozenge+appearance) : <code>string</code>
    *  [lozenge.children](#Lozenge+children) : <code>node</code>

<a name="new_Lozenge_new"></a>

### new Lozenge()
Create instances of the component programmatically, or using markup.

**JS Example**
```js
import Lozenge from 'ak-lozenge';
const component = new Lozenge();
```
<a name="Lozenge+isBold"></a>

### lozenge.isBold : <code>boolean</code>
Toggles the bolder appearance.

**Kind**: instance property of <code>[Lozenge](#Lozenge)</code>  
**Default**: <code>false</code>  
<a name="Lozenge+appearance"></a>

### lozenge.appearance : <code>string</code>
Affects the visual style of the badge.
Allowed values are: 'default', 'success', 'removed', 'inprogress', 'new', 'moved'.

**Kind**: instance property of <code>[Lozenge](#Lozenge)</code>  
**Default**: <code>&quot;default&quot;</code>  
<a name="Lozenge+children"></a>

### lozenge.children : <code>node</code>
The content passed to the lozenge

**Kind**: instance property of <code>[Lozenge](#Lozenge)</code>  

## Support and feedback

### We're here to help!

Let us know what you think of our components and docs, your feedback is really important for us.

### Community support

Ask a question in our [forum](https://answers.atlassian.com/questions/ask?title=AtlasKit%3A%20&topics=atlaskit,ak-lozenge,ak-lozenge@5.0.1).

Check [if someone has already asked the same question before](https://answers.atlassian.com/questions/topics/42926171/atlaskit).


### Create a support ticket

Are you in trouble? [Let us know](https://ecosystem.atlassian.net/browse/AK)!

